BizKitHub
DocsAPI ReferenceLedger/bff/ledger/settings/money-account/update
postLedgerAdmin BFF

/bff/ledger/settings/money-account/update

Update a money account

LedgerpostBffLedgerSettingsMoney-accountUpdate

Parameters

JSON body

Request body

application/json
idstringRequired
Length: 24–24
entityIdstringOptional
kindstringOptional
currencystringOptional
namestringOptional
Length: 1–200
glAccountCodestring | nullOptional
One of 2:
Variant 1
string
Length: 0–16
Variant 2
null
ibanstring | nullOptional
One of 2:
Variant 1
string
Length: 0–42
Variant 2
null
openingBalancenumber | nullOptional
One of 2:
Variant 1
number
Variant 2
null
openingDatestring | nullOptional
One of 2:
Variant 1
string
Example2026-01-01
Variant 2
null
isActivebooleanOptional
notestring | nullOptional
One of 2:
Variant 1
string
Variant 2
null

Response schema

1 status code documented

200Success
successbooleanRequired
changeCountnumberRequired

Response example

application/json
{
  "success": false,
  "changeCount": 0
}

Request example

POST /bff/ledger/settings/money-account/update

post
curl -X POST "https://api.bizkithub.com/bff/ledger/settings/money-account/update" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '{
  "id": "example_id",
  "entityId": "example_entityId",
  "kind": "example_kind",
  "currency": "example_currency",
  "name": "example_name",
  "isActive": false
}'

Need an API key?

All BizKitHub public API endpoints require authentication via API key.

Get API Key